Skip to main content
GET
/
search
Search
curl --request GET \
  --url https://v1.hockey.sportsapipro.com/search \
  --header 'x-api-key: <api-key>'

Overview

Search across hockey teams, players, and leagues by name.

Code Examples

curl -X GET "https://v1.hockey.sportsapipro.com/search?query=Rangers" \
  -H "x-api-key: YOUR_API_KEY"

Parameters

query
string
required
Search term (minimum 2 characters)
filter
string
Filter type: all, athletes, competitions, competitors

Response Structure

athletes
array
Matching players
competitions
array
Matching leagues/tournaments
competitors
array
Matching teams
Use search to find team, player, or league IDs, then use those IDs in other endpoints.

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Query Parameters

query
string
required

Search query

Example:

"Rangers"

filter
enum<string>
default:all

Filter type: all, competitions, competitors, athletes

Available options:
all,
competitions,
competitors,
athletes

Response

200

Search results retrieved successfully